View Issue Details

IDProjectCategoryView StatusLast Update
0008160Talerwallet-corepublic2024-05-08 09:10
ReporterStefan Assigned ToStefan  
PriorityhighSeveritytextReproducibilityalways
Status assignedResolutionopen 
Product Version1.0 
Target Version1.0 
Summary0008160: Wallet UI: translation of UIs to DE/FR/IT [May-June]
DescriptionTranslation and internationalisation of wallet strings (WebEx, Android and iOS) in German, French, Italian, involving preferably mother-tongue speakers like DS, SK, EB.
Makes use of .rst files, Weblate and wallet-core.
Pre-launch work task #26.
TagsNo tags attached.

Relationships

parent of 0008159 assignedStefan Wallet UI: review of message texts [June] 
Not all the children of this issue are yet resolved or closed.

Activities

Stefan

2024-03-18 20:58

developer   ~0021944

My message with the invitation to contribute with translations for the Taler apps and web sites that I sent to the Taler mailing list today triggered some folks. A contributor named Wolf is eagerly translating the Android wallet app to German and seems to be pretty competent. Nevertheless, I have to go through all of his translations and review them. There are some mistakes and typos (e.g. Rechung instead of Rechnung), and there are disambiguities to solve, some of his comments need replies and contexts to be defined. Finally, a last pass has to be done in Git after all strings will have been pushed.

Explanations need to be given for some expressions like, for example, "deposit":
For "deposit" I would say "einlösen" in German. It is the merchants (sellers, recipients of digital cash) who redeem tokens and receive wired (fiat) money on their normal bank account. We call this a Taler token is deposited at purchase time / at Point of sale. This is the transaction when a token is sent by the Taler Merchant backend to the Taler Exchange after the payer signed a contract and thus handed over the token to the Taler Merchant backend software. The merchant obtains immediate payment confirmation. The value of the token is then wired to the merchant's bank account (according to the time lag the merchant has configured for wiring).

Stefan

2024-03-20 10:40

developer   ~0021951

Reminder: I have to address again the well-known issue that we want to avoid the expression "Exchange" on normal end-users' screens.

In the German language we choose "Bezahldienstleister" which corresponds to "payment service provider". Although it is a long word and hard to pronounce we cannot find a better expression. Or is there any? "Wechselstube" is not suitable. We should keep this issue in mind also for other languages.

Stefan

2024-03-20 20:44

developer   ~0021956

Last edited: 2024-03-22 06:56

Expressions for "Exchange" in German to be discussed:

"Zahlungsdienstleister" sounds even more appealing to me than "Bezahldienstleister". And what about an even shorter "Zahlungsdienst"? We also had "Systembetreiber" on the TOPS web pages before in German. Please compare:

Zahlungsdienstleister
Zahlungsdienst
Systembetreiber

Stefan

2024-03-21 09:43

developer   ~0021958

Sent a longer email message to Wolf with instructions for good expressions, terms to avoid, how to deal with gender linguistics in German, and a bit of flattery.
He wrote:
Hi, Stefan,
sehr gern geschehen - hab mich gefreut, eine so niedrigschwellige Möglichkeit gefunden zu haben, mein Lieblings-FOSS-Projekt zu unterstützen.

Stefan

2024-03-21 20:30

developer   ~0021968

I am currently at translating the Bank SPA and the Android app - still creating and reviewing strings in German.

Stefan

2024-03-22 15:38

developer   ~0021975

Last edited: 2024-03-24 16:28

Stuff to discuss: Expressions in German for different fee types
- withdraw fee <--> Abhebegebühr
- deposit fee <--> Einlösegebühr
- refresh fee <--> Wechselgebühr
- refund fee <--> Rückerstattungsgebühr
- wire fee <--> Überweisungsgebühr
- closing fee <--> Rücküberweisungsgebühr
- wire fee timespan <--> Zeitraum für Überweisungen

Stefan

2024-05-08 09:10

developer   ~0022372

Some expressions in German as fixed terms to use:
- Exchange <--> Zahlungsdienst (alternativ: Systembetreiber)
- withdraw fee <--> Abhebegebühr
- deposit fee <--> Einlösegebühr
- refresh fee <--> Wechselgebühr
- refund fee <--> Rückerstattungsgebühr
- wire fee <--> Überweisungsgebühr
- closing fee <--> Rücküberweisungsgebühr
- wire deadline <--> Überweisungsfrist
- wire fee timespan <--> Zeitraum für eine anfallende Überweisungsgebühr, Zeitraum für Überweisungen (depending on context)

Issue History

Date Modified Username Field Change
2024-01-21 14:41 Stefan New Issue
2024-01-21 14:41 Stefan Status new => assigned
2024-01-21 14:41 Stefan Assigned To => Stefan
2024-01-21 15:41 Christian Grothoff Relationship added parent of 0008159
2024-02-11 12:57 Stefan Summary Wallet UI: translation of UIs to DE/FR/IT => Wallet UI: translation of UIs to DE/FR/IT [May-June]
2024-02-11 12:57 Stefan Description Updated
2024-03-18 20:58 Stefan Note Added: 0021944
2024-03-20 10:40 Stefan Note Added: 0021951
2024-03-20 20:44 Stefan Note Added: 0021956
2024-03-21 09:43 Stefan Note Added: 0021958
2024-03-21 17:29 Christian Grothoff Severity feature => text
2024-03-21 20:30 Stefan Note Added: 0021968
2024-03-22 06:56 Stefan Note Edited: 0021956
2024-03-22 15:38 Stefan Note Added: 0021975
2024-03-24 16:28 Stefan Note Edited: 0021975
2024-05-08 09:10 Stefan Note Added: 0022372